import { NavItem } from '@nicestack/client';
import {
  HomeIcon,
  BookOpenIcon,
  UserGroupIcon,
  Cog6ToothIcon,
  BellIcon,
  HeartIcon,
  AcademicCapIcon,
  UsersIcon,
  PresentationChartBarIcon
} from '@heroicons/react/24/outline';

export const navItems: NavItem[] = [
  { icon: <HomeIcon className="w-6 h-6" />, label: '探索知识', path: '/' },
  { icon: <AcademicCapIcon className="w-6 h-6" />, label: '我的学习', path: '/courses/student' },
  { icon: <PresentationChartBarIcon className="w-6 h-6" />, label: '我的授课', path: '/courses/instructor' },
  { icon: <UsersIcon className="w-6 h-6" />, label: '学习社区', path: '/community' },
  { icon: <Cog6ToothIcon className="w-6 h-6" />, label: '应用设置', path: '/settings' },
];
export const notificationItems = [
  {
    icon: <BellIcon className="w-6 h-6 text-blue-500" />,
    title: "New Course Available",
    description: "Advanced TypeScript Programming is now available",
    time: "2 hours ago",
    isUnread: true,
  },
  {
    icon: <HeartIcon className="w-6 h-6 text-red-500" />,
    title: "Course Recommendation",
    description: "Based on your interests: React Native Development",
    time: "1 day ago",
    isUnread: true,
  },
  {
    icon: <AcademicCapIcon className="w-6 h-6 text-green-500" />,
    title: "Certificate Ready",
    description: "Your React Fundamentals certificate is ready to download",
    time: "2 days ago",
    isUnread: true,
  },
];